import { defineConfig } from "astro/config";
import solidJs from '@astrojs/solid-js';
import tailwind from "@astrojs/tailwind";
import icon from "astro-icon";
import sitemap from "@astrojs/sitemap";
import node from "@astrojs/node";

export default defineConfig({
  site: process.env.PUBLIC_SITE_URL || "https://redib.ru", 
  integrations: [tailwind(), solidJs(), icon(), sitemap()],
  output: "server",  
  server: {
    host: "0.0.0.0",
    port: 4321,
    https: false
  },

  adapter: node({
    mode: "standalone",
  }),
});